package com.ruoyi.web.controller.chenyanlogin.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.web.controller.chenyanlogin.entity.NationUnity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.domain.dto.mediaPropaganda.MediaPropagandaAddRequest;
import com.ruoyi.web.domain.dto.mediaPropaganda.MediaPropagandaEditRequest;
import com.ruoyi.web.domain.dto.mediaPropaganda.MediaPropagandaQueryRequest;
import com.ruoyi.web.domain.entity.MediaPropaganda;
import com.ruoyi.web.domain.vo.MediaPropagandaVO;

/**
 * <p>
 * 媒体宣传内容收集表 服务类
 * </p>
 *
 * @author author
 * @since 2025-09-23
 */
public interface INationUnityService extends IService<NationUnity> {

    Integer addMediaPropaganda(MediaPropagandaAddRequest mediaPropagandaAddRequest);

    boolean deleteMediaPropaganda(String ids);

    void editMediaPropaganda(MediaPropagandaEditRequest mediaPropagandaEditRequest);

    MediaPropagandaVO getMediaPropagandaById(int id);

    Page<MediaPropagandaVO> getListMediaPropagandaByPage(MediaPropagandaQueryRequest mediaPropagandaQueryRequest);
    MediaPropagandaVO getMediaPropagandaVO(NationUnity mediaPropaganda);

}
